public class IntValue implements Value {
	private int i;
	
	public IntValue(int v) {
		this.i = v;
	}
	
	@Override
	public String toString() {
		return Integer.toString(i);
	}
	
	@Override
	public boolean equals(Object that) {
		if (that instanceof IntValue) {
			return this.i == ((IntValue)that).i;
		} else {
			return false;
		}
	}
}
